Merge lp:~ubuntu-branches/ubuntu/oneiric/cloud-utils/oneiric-201108110905 into lp:ubuntu/oneiric/cloud-utils

Proposed by Ubuntu Package Importer
Status: Rejected
Rejected by: James Westby
Proposed branch: lp:~ubuntu-branches/ubuntu/oneiric/cloud-utils/oneiric-201108110905
Merge into: lp:ubuntu/oneiric/cloud-utils
Diff against target: 83 lines (+71/-0) (has conflicts)
2 files modified
debian/README.source (+10/-0)
debian/update-sync-to-main (+61/-0)
Conflict adding file debian/README.source.  Moved existing file to debian/README.source.moved.
Conflict adding file debian/update-sync-to-main.  Moved existing file to debian/update-sync-to-main.moved.
To merge this branch: bzr merge lp:~ubuntu-branches/ubuntu/oneiric/cloud-utils/oneiric-201108110905
Reviewer Review Type Date Requested Status
Ubuntu branches Pending
Review via email: mp+71886@code.launchpad.net

Description of the change

The package importer has detected a possible inconsistency between the package history in the archve and the history in bzr. As the archive is authoritative the importer has made lp:ubuntu/oneiric/cloud-utils reflect what is in the archive and the old bzr branch has been pushed to lp:~ubuntu-branches/ubuntu/oneiric/cloud-utils/oneiric-201108110905. This merge proposal was created so that an Ubuntu developer can review the situations and perform a merge/upload if necessary. There are three typical cases where this can happen.
  1. Where someone pushes a change to bzr and someone else uploads the package without that change. This is the reason that this check is done by the importer. If this appears to be the case then a merge/upload should be done if the changes that were in bzr are still desirable.
  2. The importer incorrectly detected the above situation when someone made a change in bzr and then uploaded it.
  3. The importer incorrectly detected the above situation when someone just uploaded a package and didn't touch bzr.

If this case doesn't appear to be the first situation then set the status of the merge proposal to "Rejected" and help avoid the problem in future by filing a bug at https://bugs.launchpad.net/udd linking to this merge proposal.

(this is an automatically generated message)

To post a comment you must log in.

Unmerged revisions

80. By Scott Moser

releasing version 0.23-0ubuntu4

79. By Scott Moser

* sync with trunk at revision 136
* ubuntu-cloudimg-query add additional format data options

78. By Scott Moser

update-sync-to-main: add the files for the refreshed patch

77. By Scott Moser

add README.source and update-sync-to-main

76. By Scott Moser

revert the local changes to bin/ubuntu-ec2-run

75. By Dustin Kirkland 

* bin/ubuntu-ec2-run:
  - karmic is EOL, hardy still supported, note that we *should*
    use distro-info eventually
  - default to t1.micro instead of m1.small (least expensive, can do amd64)

74. By Dustin Kirkland 

* bin/ubuntu-cloudimg-query (properties changed: -x to +x),
  bin/ubuntu-ec2-run (properties changed: -x to +x):
  - make these executable

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
=== added file 'debian/README.source'
--- debian/README.source 1970-01-01 00:00:00 +0000
+++ debian/README.source 2011-08-17 12:57:32 +0000
@@ -0,0 +1,10 @@
1This is the cloud-utils ubuntu packaging branch. it comes from:
2 bzr branch lp:ubuntu/cloud-utils
3
4Please only make ubuntu specific changes here. Other changes should be made
5to the upstream, and then cherry-picked back. Upstream is:
6 bzr branch lp:cloud-utils
7
8
9To create the debian/patches/sync-to-trunk.patch, do the following:
10 ./update-sync-to-main ../trunk
011
=== renamed file 'debian/README.source' => 'debian/README.source.moved'
=== added file 'debian/update-sync-to-main'
--- debian/update-sync-to-main 1970-01-01 00:00:00 +0000
+++ debian/update-sync-to-main 2011-08-17 12:57:32 +0000
@@ -0,0 +1,61 @@
1#!/bin/sh
2
3fail() { [ $# -eq 0 ] || echo "$@" 1>&2; exit 1; }
4
5Usage() {
6 cat <<EOF
7Usage: ${0##*/} trunk-branch [ upstream-ver ]
8
9 revno is the revision in *this* branch that correlates
10 with the last upstream release.
11EOF
12}
13
14[ $# -lt 1 ] && { Usage; exit 1; }
15tb=$1
16upstream_ver=$2
17pname="sync-to-trunk.patch"
18
19if [ -z "$2" ]; then
20 upstream_ver=$(head -n 1 debian/changelog |
21 sed -e 's,[^(]*(\([^)]*\)).*,\1,' -e 's,-.*,,')
22 [ -n "$upstream_ver" ] || fail "failed to get upstream_ver"
23fi
24
25out=$( cd "${tb}" && bzr log -r "tag:${upstream_ver}" --line) &&
26 tag_revno=${out%%:*} ||
27 fail "failed to get revision number for tag:${upstream_ver} from ${tb}"
28tag_plus1=$(($tag_revno+1))
29end=$( cd "${tb}" && bzr revno)
30
31tmpd=$(mktemp -d)
32trap "rm -Rf $tmpd" EXIT
33
34
35( cd "${tb}" && bzr log "-r$tag_plus1..$end" &&
36 bzr diff -p1 -r $tag_revno..$end ) > "${tmpd}/raw"
37ret=$?
38[ $ret -eq 0 -o $ret -eq 1 ] || fail "getting diff failed"
39
40echo "Patch created with '${0} ${*}'" > "${tmpd}/${pname}"
41filterdiff --exclude "*/debian/*" < "${tmpd}/raw" >> "${tmpd}/${pname}" ||
42 fail "failed to filterdiff"
43
44quilt pop -a ||
45 fail "failed to pop patches in quilt queue"
46
47if quilt series | grep ^${pname} ; then
48 quilt delete -r "${pname}" ||
49 fail "failed patch ${pname}"
50fi
51
52quilt import "${tmpd}/${pname}" ||
53 fail "failed to import"
54
55quilt push "${pname}" || fail "failed to push to ${pname}"
56
57bzr add $(quilt files) || fail "failed to add : $(quilt files)"
58
59
60echo "refreshed ${pname}"
61echo "you may need to quilt push -a now if you had other changes"
062
=== renamed file 'debian/update-sync-to-main' => 'debian/update-sync-to-main.moved'

Subscribers

People subscribed via source and target branches

to all changes: